#ifndef DIALOGCHEKERTASK_H
#define DIALOGCHEKERTASK_H

#include <QDialog>
#include <QObject>
#include "checkertask.h"

class DialogChekerTask : public QDialog
{
    Q_OBJECT
public:
    DialogChekerTask(ConnectorToServer* connectorToServer, QString type, QWidget *parent = nullptr);
    ~DialogChekerTask();

    void closeEvent(QCloseEvent *event) override;

public:
    void setTask(TaskAmmFim* task);
    bool getFlChanged();

private:
    CheckerTask* checkerTask;
};

#endif // DIALOGCHEKERTASK_H
